{
    "name": "w33b/hstream",
    "type": "project",
    "description": "The website of hstream.moe",
    "keywords": [
        "laravel",
        "framework"
    ],
    "license": "MIT",
    "require": {
        "php": "^8.2",
        "altcha-org/altcha": "^2.0",
        "guzzlehttp/guzzle": "^7.8.1",
        "hisorange/browser-detect": "^5.0",
        "http-interop/http-factory-guzzle": "^1.2",
        "intervention/image": "^3.11",
        "intervention/image-laravel": "^1.5",
        "laravel/framework": "^12.0",
        "laravel/sanctum": "^4.2",
        "laravel/scout": "^10.20",
        "laravel/socialite": "^5.24",
        "laravel/tinker": "^2.10",
        "livewire/livewire": "^3.7.0",
        "maize-tech/laravel-markable": "^2.3.0",
        "meilisearch/meilisearch-php": "^1.16",
        "predis/predis": "^2.2",
        "realrashid/sweet-alert": "^7.2",
        "rtconner/laravel-tagging": "^5.0",
        "socialiteproviders/discord": "^4.2",
        "spatie/laravel-discord-alerts": "^1.8",
        "spatie/laravel-passkeys": "^1.7",
        "spatie/laravel-sitemap": "^7.3"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.16",
        "fakerphp/faker": "^1.24.0",
        "laravel/breeze": "^2.3",
        "laravel/pint": "^1.18",
        "mockery/mockery": "^1.4.4",
        "nunomaduro/collision": "^8.1",
        "phpunit/phpunit": "^11.4",
        "spatie/laravel-ignition": "^2.0"
    },
    "repositories": [],
    "autoload": {
        "exclude-from-classmap": [],
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        },
        "files": []
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi --force"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "php-http/discovery": true
        }
    },
    "minimum-stability": "stable",
    "prefer-stable": true
}
